petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMLocalToGlobal

updates global vectors from local vectors

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMLocalToGlobal(DM dm,Vec l,InsertMode mode,Vec g)

Neighbor-wise Collective on dm

### Input Parameters

| dm | - the DM object
| l | - the local vector
| mode | - if INSERT_VALUES then no parallel communication is used, if ADD_VALUES then all ghost points from the same base point accumulate into that base point.
| g | - the global vector

### Notes

The communication involved in this update can be overlapped with computation by using DMLocalToGlobalBegin() and DMLocalToGlobalEnd().

In the ADD_VALUES case you normally would zero the receiving vector before beginning this operation. INSERT_VALUES is not supported for DMDA; in that case simply compute the values directly into a global vector instead of a local one.

### See Also

DMLocalToGlobalBegin(), DMLocalToGlobalEnd(), DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMGlobalToLocal(), DMGlobalToLocalEnd(), DMGlobalToLocalBegin()

### Level

beginner

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages